package ai.individual;

import ai.group_template.L2AttackableAIScript;
import net.sf.l2j.gameserver.datatables.SkillTable;
import net.sf.l2j.gameserver.model.actor.instance.L2NpcInstance;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
	
public class AncientEgg extends L2AttackableAIScript
{
	private int EGG = 18344;

	public AncientEgg(int questId, String name, String descr)
	{
		super(questId, name, descr);
		addAttackId(EGG);
	}

	public String onAttack(L2NpcInstance npc, L2PcInstance player, int damage, boolean isPet)
	{
		player.setTarget(player);
		player.doCast(SkillTable.getInstance().getInfo(5088,1));
		return super.onAttack(npc, player, damage, isPet);
	}

	public static void main(String[] args)
	{
		new AncientEgg(-1, "AncientEGG", "ai");
	}
}