package net.sf.l2j.gameserver.handler.voicedcommandhandlers;

import net.sf.l2j.gameserver.handler.IVoicedCommandHandler;
import net.sf.l2j.gameserver.model.L2World;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.util.FloodProtector;

/**
 * @update S-Project
 */
public class Online implements IVoicedCommandHandler
{
	private static String[] _voicedCommands =
	{
		"online"
	};

	public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
	{
        if(!FloodProtector.getInstance().tryPerformAction(activeChar.getObjectId(), FloodProtector.PROTECTED_UseCommand))
        {
               activeChar.sendMessage("Флуд защита");
               return true;
        }
		if(command.equalsIgnoreCase("online"))
		{
			activeChar.sendMessage("======<Кто сейчас в игре!>======");
			activeChar.sendMessage("Сейчас " + L2World.getInstance().getAllPlayers().size() + " Игроков В игре!.");
			activeChar.sendMessage("Героев: " + L2World.getInstance().getAllheroPlayersCount());
			activeChar.sendMessage("Нублессов: " + L2World.getInstance().getAllnoblesPlayersCount());
			activeChar.sendMessage("Донаторов: " + L2World.getInstance().getAlldonatorPlayersCount());
            activeChar.sendMessage("=======================");
		}
		return true;
	}

	public String[] getVoicedCommandList()
	{
		return _voicedCommands;
	}
}