package net.sf.l2j.gameserver.handler.voicedcommandhandlers;

import net.sf.l2j.gameserver.handler.IVoicedCommandHandler;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;

/**
 * @author TheFosT by L2jFT
 * @update S-Project
 */
public class pmoff
  implements IVoicedCommandHandler
{
  private static final String[] VOICED_COMMANDS =
          {
                  "pmoff",
                  "pmon"
          };

  public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
  {
    if (command.startsWith("pmoff"))
    {
      activeChar.setMessageRefusal(true);
      activeChar.sendMessage("ПМ Заблокирован");
    }
    if (command.startsWith("pmon"))
    {
      activeChar.setMessageRefusal(false);
      activeChar.sendMessage("ПМ Разблокирован");
    }
    return true;
  }
  public String[] getVoicedCommandList()
  {
    return VOICED_COMMANDS;
  }
}