package net.sf.l2j.gameserver.model;

import java.io.Serializable;

@SuppressWarnings("serial")
public final class Location
{
	public int _x;
	public int _y;
	public int _z;
	public int _heading;

	public Location(int x, int y, int z)
	{
		_x = x;
		_y = y;
		_z = z;
	}

	public Location(int x, int y, int z, int heading)
	{
		_x = x;
		_y = y;
		_z = z;
		_heading = heading;
	}

	public int getX()
	{
		return _x;
	}

	public int getY()
	{
		return _y;
	}

	public int getZ()
	{
		return _z;
	}

	public int getHeading()
	{
		return _heading;
	}

	public void setX(int x)
    {
		_x = x;
	}

	public void setY(int y)
    {
		_y = y;
	}

	public void setZ(int z)
    {
		_z = z;
	}

	public void setHeading(int head)
    {
		_heading = head;
	}

	public void setXYZ(int x, int y, int z)
    {
		_x = x;
		_y = y;
		_z = z;
	}

	public boolean equals(int x, int y, int z)
    {
		if(_x == x && _y == y && _z == z)
			return true;
		return false;
	}
}
