/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
package net.sf.l2j.util;

/**
 * @author TheFosT
 * @update S-Project
 */
public class Prints 
{
	public static void printSection(String s)
	{
		int maxlength = 79;
		s = s != null ? "-[" + s + "]" : "-";
		int slen = s.length();
		if(slen > maxlength)
		{
			System.out.println(s);
			return;
		}
		for(int i = 0; i < maxlength - slen; i++)
			s = "=" + s;
		System.out.println(s);
	}
}