/**
 * 
 */
package org.mmocore.test.testserver;

import java.nio.ByteBuffer;

import org.mmocore.network.*;

/**
 * @author KenM
 * @update S-Project
 */
public final class ServerClient extends MMOClient<MMOConnection<ServerClient>>
{
    public ServerClient(MMOConnection<ServerClient> con)
    {
        super(con);
    }

    @Override
    public boolean decrypt(ByteBuffer buf, int size)
    {
        return true;
    }

    @Override
    public boolean encrypt(ByteBuffer buf, int size)
    {
        buf.position(buf.position() + size);
        return true;
    }

    public void sendPacket(SendablePacket<ServerClient> sp)
    {
        this.getConnection().sendPacket(sp);
    }
    
    public void onDisconection()
    {
    }
}