import sys
from net.sf.l2j import Config
from net.sf.l2j.gameserver.model.quest import State
from net.sf.l2j.gameserver.model.quest import QuestState
from net.sf.l2j.gameserver.model.quest.jython import QuestJython as JQuest
from net.sf.l2j.gameserver.instancemanager.lastimperialtomb import LastImperialTombManager
from net.sf.l2j.gameserver.instancemanager.lastimperialtomb import FrintezzaManager

class lastimperialtomb(JQuest):

  def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

  def onTalk (self,npc,player):
    st = player.getQuestState("lastimperialtomb")
    if not st : return "<html><body>You are either not on a quest that involves this NPC, or you don't meet this NPC's minimum quest requirements.</body></html>"
    npcId = npc.getNpcId()
    if npcId == 32011 :
      if player.isFlying() :
        return "<html><body>Imperial Tomb Guide:<br>To enter, get off the wyvern.</body></html>"
      if Config.LIT_REGISTRATION_MODE == 0 :
        if LastImperialTombManager.getInstance().tryRegistrationCc(player) :
          LastImperialTombManager.getInstance().registration(player,npc)
      elif Config.LIT_REGISTRATION_MODE == 1 :
        if LastImperialTombManager.getInstance().tryRegistrationPt(player) :
          LastImperialTombManager.getInstance().registration(player,npc)
      elif Config.LIT_REGISTRATION_MODE == 2 :
        if LastImperialTombManager.getInstance().tryRegistrationPc(player) :
          LastImperialTombManager.getInstance().registration(player,npc)
    return

  def onKill (self,npc,player,isPet):
    st = player.getQuestState("lastimperialtomb")
    if not st: return
    npcId = npc.getNpcId()
    if npcId == 18328 :
      LastImperialTombManager.getInstance().onKillHallAlarmDevice()
    elif npcId == 18339 :
      LastImperialTombManager.getInstance().onKillDarkChoirPlayer()
    elif npcId == 18334 :
      LastImperialTombManager.getInstance().onKillDarkChoirCaptain()
    elif npcId == 29047 :
      FrintezzaManager.getInstance().doSvhDead(1)

  def onAttack(self,npc,player,damage,isPet):
    st = player.getQuestState("lastimperialtomb")
    if not st: return
    FrintezzaManager.getInstance().svhMorphCheck()

QUEST = lastimperialtomb(-1,"lastimperialtomb","ai")
QUEST.addStartNpc(32011)
QUEST.addTalkId(32011)
QUEST.addKillId(18328)
QUEST.addKillId(18339)
QUEST.addKillId(18334)
QUEST.addKillId(29047)
QUEST.addAttackId(29046)