#!/bin/bash

DBHOST=localhost
USER=root
PASS=db_password
DBNAME=l2jdb

while :;
do
	#mysqlcheck -h $DBHOST -u $USER --password=$PASS -s -r $DBNAME>>"./Logs/`date +%Y-%m-%d_%H:%M:%S`-sql_check.log"
	#mysqldump -h $DBHOST -u $USER --password=$PASS $DBNAME | gzip > "./backup/`date +%Y-%m-%d_%H:%M:%S`-"$DBNAME"_loginserver.gz"
	mv ./Logs/java0.log.0 "./Logs/`date +%Y-%m-%d_%H-%M-%S`_java.log"
	mv ./Logs/stdout.log "./Logs/`date +%Y-%m-%d_%H-%M-%S`_stdout.log"
	nice -n -2 java  -Xms64m -Xmx128m -cp ./Lib/*: net.sf.l2j.loginserver.L2LoginServer > ./Logs/stdout.log 2>&1
	[ $? -ne 2 ] && break
	sleep 10;
done
