package net.sf.l2j.gameserver.exceptions;

public final class PlayerNotFoundException extends Throwable
{
	private static final long serialVersionUID = 1L;

	public PlayerNotFoundException()
	{
		super("Player not found!");
	}
	/**
	 * 
	 * @param s player name
	 */
	public PlayerNotFoundException(String s)
	{
		super("Player not found: " + s);
	}
}