package net.sf.l2j.gameserver.handler.voicedcommandhandlers;

import net.sf.l2j.gameserver.handler.IVoicedCommandHandler;
import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;

/**
 * @author TheFosT by L2jFT
 * @update S-Project
 */
public class tradeoff implements IVoicedCommandHandler
{
  private static final String[] VOICED_COMMANDS =
          {
                  "tradeoff",
                  "tradeon"
          };

  public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
  {
    if (command.startsWith("tradeoff"))
        {
            activeChar.setTradeRefusal(true);
            activeChar.sendMessage("Трейд Заблокирован");
        }
    if (command.startsWith("tradeon"))
        {
            activeChar.setTradeRefusal(false);
            activeChar.sendMessage("Трейд Разблокирован");
        }
    return true;
  }

  public String[] getVoicedCommandList()
  {
    return VOICED_COMMANDS;
  }
}