package net.sf.l2j.gameserver.network.clientpackets;

import net.sf.l2j.gameserver.model.actor.instance.L2PcInstance;
import net.sf.l2j.gameserver.model.quest.QuestState;
import net.sf.l2j.Config;
import net.sf.l2j.gameserver.network.serverpackets.TutorialCloseHtml;

/**
 * @update S-Project
 */
public class RequestTutorialLinkHtml extends L2GameClientPacket
{
	private static final String _C__7b_REQUESTTUTORIALLINKHTML = "[C] 7b RequestTutorialLinkHtml";
	String _bypass;

	protected void readImpl()
	{
		_bypass = readS();
	}

	@Override
	protected void runImpl()
	{ 
		L2PcInstance player = getClient().getActiveChar();
		if(player == null)
			return;
        try
        {
			int Id = Integer.parseInt(_bypass);
			if (Config.BOT_PROTECTOR && Id > 100000 && Id < 100006)
			{
				player.checkAnswer(Id);
				player.sendPacket(new TutorialCloseHtml());
				return;
			}
        }
        catch(Exception e) {}
		QuestState qs = player.getQuestState("255_Tutorial");
		if(qs != null)
			qs.getQuest().notifyEvent(_bypass, null, player);
	}

	@Override
	public String getType()
	{
		return _C__7b_REQUESTTUTORIALLINKHTML;
	}
}