import sys
from net.sf.l2j.gameserver.model.actor.instance import L2PcInstance
from java.util import Iterator
from net.sf.l2j.gameserver.datatables import SkillTable
from net.sf.l2j import L2DatabaseFactory
from net.sf.l2j.gameserver.model.quest import State
from net.sf.l2j.gameserver.model.actor.appearance import PcAppearance
from net.sf.l2j.gameserver.model.quest import QuestState
from net.sf.l2j.gameserver.model.quest.jython import QuestJython as JQuest

qn = "8204_NpcNoblesse"

NPC=[300300]
GOLDBAR= 4037
NOBLESS_TIARA = 7694
QuestId     = 8204
QuestName   = "NpcNoblesse"
QuestDesc   = "custom"
InitialHtml = "1.htm"

print "Loaded: 8204_NpcNoblesse - OK"

class Quest (JQuest) :

	def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)


	def onEvent(self,event,st):
		htmltext = event
		count=st.getQuestItemsCount(GOLDBAR)
		if count < 10  and st.getPlayer().getLevel() < 80 :
			htmltext = "Error2.htm"

		elif st.getPlayer().isNoble() == 1 :
			htmltext = "Error1.htm"
		
		elif st.getQuestItemsCount(GOLDBAR) < 50 :	
                        htmltext = "Error2.htm"

		elif st.getPlayer().getLevel() < 80 :
			htmltext = "Error2.htm"

		else:
			st.getPlayer().setTarget(st.getPlayer())
			
			if event == "2":
				st.takeItems(GOLDBAR,50)
                                st.getPlayer().setNoble(True)
                                st.giveItems(NOBLESS_TIARA,1)
                                st.playSound("ItemSound.quest_finish")
				return "End.htm"
                                st.exitQuest(1)	
	
				
			if htmltext != event:
				st.setState(State.COMPLETED)
				st.exitQuest(1)
		return htmltext


	def onTalk (self,npc,player):
	   npcId = npc.getNpcId()
	   st = player.getQuestState(qn)
	   htmltext = u"<html><head><body>\u041c\u043d\u0435 \u043d\u0435 \u0447\u0435\u0433\u043e \u0442\u0435\u0431\u0435 \u0441\u043a\u0430\u0437\u0430\u0442\u044c.</body></html>"
	   return InitialHtml

	   
QUEST    = Quest(8204,qn,"custom")

QUEST.addStartNpc(300300)
QUEST.addTalkId(300300)	   
