import sys
from net.sf.l2j.gameserver.model import L2Skill
from net.sf.l2j.gameserver.model.quest import State
from net.sf.l2j.gameserver.model.quest import QuestState
from net.sf.l2j.gameserver.model.quest.jython import QuestJython as JQuest
from net.sf.l2j.gameserver.model.actor.instance import L2PcInstance
from net.sf.l2j.gameserver.datatables import SkillTable
from net.sf.l2j.gameserver.network.serverpackets import PledgeSkillList
from net.sf.l2j.gameserver.network.serverpackets import PledgeShowInfoUpdate
from net.sf.l2j.gameserver.network.serverpackets import SystemMessage
from java.lang import Integer

#################
qn = "917_Clan"	#
NPC = 300300	#
#################

#########################################
#        - 		#
#########################################
Item1 = 4037	# ID 		#
Name1 = "CoL"	#  		#
Count1 = 10	# 	 6  	#
Count2 = 15	# 	 7  	#
Count3 = 20	# 	 8  	#
#########################################

#########################################
#       	#
#########################################
Item2 = 4037	# ID 		#
Name2 = "CoL"	#  		#
Count4 = 5	# 	50 	#
Count5 = 10	# 	100 	#
#########################################

#########################################
#        	#
#########################################
Item3 = 4037	# ID 		#
Name3 = "CoL"	#  		#
Count6 = 20	# 	  	#
#########################################

print "Loaded: 913_Clan - OK"

class Quest (JQuest) :

	def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

	def onAdvEvent(self, event, npc, player) :
		st = player.getQuestState(qn)
		htmltext = event
		xCLANx = 0
		eventSplit = event.split(" ")
		event = eventSplit[0]
		try :
			xCLANx = Integer.parseInt(eventSplit[1])
		except :
			htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
			htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
			htmltext += u"<font color=\"LEVEL\">\u0412\u044b \u043d\u0435 \u0447\u0435\u0433\u043e \u043d\u0435 \u0432\u0432\u0435\u043b\u0438 \u0432 \u043f\u043e\u043b\u0435 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
			htmltext += u"<img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
			htmltext += "</center></body></html>"
			return htmltext

		if event == "level":
			if xCLANx == 6 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">6 LvL \u043a\u043b\u0430\u043d\u0430 \u0441\u0442\u043e\u0438\u0442:</font> <font color=\"FF0000\">"+str(Count1)+"</font> <font color=\"LEVEL\">"+Name1+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c LvL\" action=\"bypass -h Quest 917_Clan lvl 6\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			elif xCLANx == 7 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">7 LvL \u043a\u043b\u0430\u043d\u0430 \u0441\u0442\u043e\u0438\u0442:</font> <font color=\"FF0000\">"+str(Count2)+"</font> <font color=\"LEVEL\">"+Name1+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c LvL\" action=\"bypass -h Quest 917_Clan lvl 7\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			elif xCLANx == 8 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">8 LvL \u043a\u043b\u0430\u043d\u0430 \u0441\u0442\u043e\u0438\u0442:</font> <font color=\"FF0000\">"+str(Count3)+"</font> <font color=\"LEVEL\">"+Name1+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c LvL\" action=\"bypass -h Quest 917_Clan lvl 8\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			else:
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">\u041c\u043e\u0436\u043d\u043e \u043f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0442\u043e\u043b\u044c\u043a\u043e 6,7,8 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "</center></body></html>"
				st.exitQuest(1)
			return htmltext

		if event == "lvl":
			if not st.getPlayer().isClanLeader() :
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c LvL \u043c\u043e\u0436\u0435\u0442 \u0442\u043e\u043b\u044c\u043a\u043e \u043b\u0438\u0434\u0435\u0440 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
			elif st.getPlayer().getClan().getLevel() >= 8 :
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043c\u0430\u043a\u0441\u0438\u043c\u0430\u043b\u044c\u043d\u044b\u0439 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
			elif xCLANx == 6 :
				if st.getQuestItemsCount(Item1) < Count1 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				elif st.getPlayer().getClan().getLevel() >= 7 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043d\u0435 \u043c\u043e\u0436\u0435\u0442\u0435 \u043f\u043e\u043d\u0438\u0437\u0438\u0442\u044c LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				elif st.getPlayer().getClan().getLevel() >= 6 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u0443\u0436\u0435 \u0438\u043c\u0435\u0435\u0442\u0441\u044f 6 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item1,Count1)
				st.getPlayer().getClan().changeLevel(6)
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeShowInfoUpdate(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 6 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)
			elif xCLANx == 7 :
				if st.getQuestItemsCount(Item1) < Count2 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				elif st.getPlayer().getClan().getLevel() >= 7 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u0443\u0436\u0435 \u0438\u043c\u0435\u0435\u0442\u0441\u044f 7 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item1,Count2)
				st.getPlayer().getClan().changeLevel(7)
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeShowInfoUpdate(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 7 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)
			elif xCLANx == 8 :
				if st.getQuestItemsCount(Item1) < Count3 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item1,Count3)
				st.getPlayer().getClan().changeLevel(8)
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeShowInfoUpdate(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 8 LvL \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)

		if event == "reput":
			if xCLANx == 50000 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">50k \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438 \u0441\u0442\u043e\u0438\u0442:</font> <font color=\"FF0000\">"+str(Count4)+"</font> <font color=\"LEVEL\">"+Name2+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u044e\" action=\"bypass -h Quest 917_Clan rep 50000\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			elif xCLANx == 100000 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">100k \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438 \u0441\u0442\u043e\u0438\u0442:</font> <font color=\"FF0000\">"+str(Count5)+"</font> <font color=\"LEVEL\">"+Name2+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u044e\" action=\"bypass -h Quest 917_Clan rep 100000\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			else:
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">\u041c\u043e\u0436\u043d\u043e \u043f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0442\u043e\u043b\u044c\u043a\u043e 50k \u0438\u043b\u0438 100k \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "</center></body></html>"
				st.exitQuest(1)
			return htmltext

		if event == "rep":
			if xCLANx == 50000 :
				if st.getQuestItemsCount(Item1) < Count4 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item1,Count4)
				st.getPlayer().getClan().setReputationScore(st.getPlayer().getClan().getReputationScore()+50000,True)
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeShowInfoUpdate(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 50k \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)
			elif xCLANx == 100000 :
				if st.getQuestItemsCount(Item1) < Count5 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item1,Count5)
				st.getPlayer().getClan().setReputationScore(st.getPlayer().getClan().getReputationScore()+100000,True)
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeShowInfoUpdate(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 100k \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)

		if event == "skill":
			if xCLANx == 9999 :
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">\u0412\u0441\u0435 \u043a\u043b\u0430\u043d \u0441\u043a\u0438\u043b\u043b\u044b \u0441\u0442\u043e\u044f\u0442:</font> <font color=\"FF0000\">"+str(Count6)+"</font> <font color=\"LEVEL\">"+Name3+" !</font>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0441\u043a\u0438\u043b\u043b\u044b\" action=\"bypass -h Quest 917_Clan skills 8888\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
				htmltext += u"<tr><td></td></tr><tr><td align=center><button value=\"\u041e\u0442\u043c\u0435\u043d\u0430\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
				htmltext += "</center></body></html>"
				st.playSound("ItemSound.quest_accept")
			else:
				htmltext = "<html><title>Exclusive Shop</title><body><center><br><br>"
				htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<font color=\"LEVEL\">\u0427\u0442\u043e\u0431\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0441\u043a\u0438\u043b\u043b\u044b,<br>\u0412 \u043f\u043e\u043b\u0435 \u0432\u0432\u043e\u0434\u0438\u0442\u044c \u043d\u0435 \u0447\u0435\u0433\u043e \u043d\u0435 \u043d\u0443\u0436\u043d\u043e !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
				htmltext += u"<img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table>"
				htmltext += "</center></body></html>"
				st.exitQuest(1)
			return htmltext

		if event == "skills":
			if xCLANx == 8888 :
				if st.getQuestItemsCount(Item3) < Count6 :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435 \u0434\u043e\u0441\u0442\u0430\u0442\u043e\u0447\u043d\u043e \u0441\u0440\u0435\u0434\u0441\u0442\u0432 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				elif not st.getPlayer().isClanLeader() :
					return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0422\u043e\u043b\u044c\u043a\u043e \u043b\u0438\u0434\u0435\u0440 \u043a\u043b\u0430\u043d\u0430 \u043c\u043e\u0436\u0435\u0442 \u043f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0441\u043a\u0438\u043b\u043b\u044b !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.takeItems(Item3,Count6)
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(370,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(371,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(372,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(373,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(374,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(375,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(376,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(377,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(378,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(379,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(380,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(381,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(382,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(383,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(384,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(385,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(386,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(387,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(388,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(389,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(390,3))
				st.getPlayer().getClan().addNewSkill(SkillTable.getInstance().getInfo(391,1))
				st.getPlayer().getClan().broadcastToOnlineMembers(PledgeSkillList(st.getPlayer().getClan()))
				st.playSound("ItemSound.quest_finish")
				return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0412\u044b \u043f\u043e\u043b\u0443\u0447\u0438\u043b\u0438 \u0432\u0441\u0435 \u043a\u043b\u0430\u043d \u0441\u043a\u0438\u043b\u043b\u044b !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
				st.exitQuest(1)

	def onTalk(self, npc, player) :
		htmltext = u"<html><title>Exclusive Shop</title><body><br><br><center><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u041c\u043d\u0435 \u043d\u0435 \u0447\u0435\u0433\u043e \u0432\u0430\u043c \u0441\u043a\u0430\u0437\u0430\u0442\u044c !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32 align=center><br><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></center></body></html>"
		st = player.getQuestState(qn)
		if not st :
			st = self.newQuestState(player)
		elif not player.getClan():
			return u"<html><title>Exclusive Shop</title><body><center><br><br><img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><font color=\"LEVEL\">\u0423 \u0432\u0430\u0441 \u043d\u0435\u0442\u0443 \u043a\u043b\u0430\u043d\u0430 !</font><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32><table><tr><td align=center><button value=\"\u0412\u044b\u0445\u043e\u0434\" action=\"bypass -h npc_%objectId%_Close\" width=75 height=22 back=\"L2UI_ch3.Btn1_normalOn\" fore=\"L2UI_ch3.Btn1_normal\"></td></tr></table></center></body></html>"
		clanlvl = str(st.getPlayer().getClan().getLevel())
		reputation = str(st.getPlayer().getClan().getReputationScore())
		htmltext = "<html><title>Exclusive Shop</title><body><center><br>"
		htmltext += "<img src=\"L2UI_CH3.onscrmsg_pattern01_1\" width=300 height=32><img src=\"L2UI_CH3.herotower_deco\" width=256 height=32>"
		htmltext += u"<table width=150><tr><td align=center><font color=\"FF0000\">..:: \u0418\u043d\u0444\u043e\u0440\u043c\u0430\u0446\u0438\u044f \u043e \u043a\u043b\u0430\u043d\u0435 ::..</font></td></tr>"
		htmltext += u"<tr><td align=center>LvL \u043a\u043b\u0430\u043d\u0430: <font color=\"LEVEL\">"+clanlvl+"</font></td></tr>"
		htmltext += u"<tr><td align=center>\u041e\u0447\u043a\u043e\u0432 \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u0438: <font color=\"LEVEL\">"+reputation+"</font></td></tr></table>"
		htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><br>"
		htmltext += u"<table width=140><tr><td align=center>\u0412\u0432\u0435\u0434\u0438\u0442\u0435 \u0447\u0438\u0441\u043b\u043e:</td><td align=center><edit var=\"name\" width=45 length=6></td></tr></table><br>"
		htmltext += u"<table><tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c LvL \u043a\u043b\u0430\u043d\u0430\" action=\"bypass -h Quest 917_Clan level $name no_name\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
		htmltext += u"<tr><td align=center><button value=\"\u041f\u043e\u0432\u044b\u0441\u0438\u0442\u044c \u0440\u0435\u043f\u0443\u0442\u0430\u0446\u0438\u044e\" action=\"bypass -h Quest 917_Clan reput $name no_name\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr>"
		htmltext += u"<tr><td align=center><button value=\"\u041f\u043e\u043b\u0443\u0447\u0438\u0442\u044c \u0441\u043a\u0438\u043b\u043b\u044b\" action=\"bypass -h Quest 917_Clan skill 9999\" width=135 height=24 back=\"L2UI_CH3.bigbutton3_down\" fore=\"L2UI_CH3.bigbutton3\"></td></tr></table>"
		htmltext += "<img src=\"L2UI_CH3.herotower_deco\" width=256 height=32><img src=\"L2UI_CH3.onscrmsg_pattern01_2\" width=300 height=32>"
		htmltext += "</center></body></html>"
		return htmltext

QUEST    = Quest(917,qn,"custom")

QUEST.addStartNpc(NPC)
QUEST.addTalkId(NPC)